---
- name: Include OS specific vars
  ansible.builtin.include_vars: "vars/{{ ansible_distribution }}_{{ ansible_distribution_major_version }}.yml"
  become: true
  tags:
    - always

- name: Include OS specific package manager module
  ansible.builtin.include: "{{ ansible_pkg_mgr }}_package.yml"
  tags:
    - install

- name: Configure chrony server
  ansible.builtin.template:
    src: chrony_server.conf.j2
    dest: "{{ chrony_config_file }}"
    mode: 0644
  become: true
  notify:
    - Restart chrony service
  tags:
    - configure

- name: Enable and start chronyd service
  ansible.builtin.service:
    name: "{{ chrony_service_name }}"
    state: started
    enabled: true
  become: true
  tags:
    - configure
